#!/bin/bash 

#----------------------------------------------------------------------
# --- general ---
export MINIMUM_ADA=2000000              # the minimum lovelace to be included with native token ouptut.
export INITIAL_LOVELACE=3000000         # the creation transaction will deposit 3₳.
export PRICE=100000000					# the price of the item is 100₳.

# time to sleep AFTER the tx, before querying the blockchain 
export SLEEPTIME=15

#----------------------------------------------------------------------
# --- the mediator, buyer and seller ---
if [ ! -e mediator.address ]; then
	echo "mediator.address doesn't exist"
	exit 1
fi
export MEDIATOR_ADDRESS=$(cat mediator.address)

if [ ! -e buyer.address ]; then
	echo "buyer.address doesn't exist"
	exit 1
fi
export BUYER_ADDRESS=$(cat buyer.address)

if [ ! -e seller.address ]; then
	echo "seller.address doesn't exist"
	exit 1
fi
export SELLER_ADDRESS=$(cat seller.address)

export MEDIATOR_ROLE='MED'
export BUYER_ROLE='BUY'
export SELLER_ROLE='SEL'

# Token in HEX:
# MED = 4D 45 44
# BUY = 42 55 59
# SEL= 53 45 4C

#----------------------------------------------------------------------
# --- policy aka currency ---
export POLICY_ID=""
export MEDIATOR_TOKEN=""
export BUYER_TOKEN=""
export SELLER_TOKEN=""

if [ -f policy_id.txt ] 
then 
	export POLICY_ID=$(cat policy_id.txt)
	export MEDIATOR_TOKEN="${POLICY_ID}.${MEDIATOR_ROLE}"
	export BUYER_TOKEN="${POLICY_ID}.${BUYER_ROLE}"
	export SELLER_TOKEN="${POLICY_ID}.${SELLER_ROLE}"
fi

#----------------------------------------------------------------------
# --- contract and payout addressess and tx'es ---
export CONTRACT_ADDRESS=""
if [ -f contract.address ] ; then 
	export CONTRACT_ADDRESS=$(cat contract.address)
fi

export PAYOUT_ADDRESS=""
if [ -f payout.address ];  then 
	export PAYOUT_ADDRESS=$(cat payout.address)
fi

# watchout: tx without the ix!!
export CONTRACT_TX=""
if [ -f contract_tx.txt ] ; then 
	export CONTRACT_TX=$(cat contract_tx.txt)
fi

# watchout: tx without the ix!!
export PAYOUT_TX=""
if [ -f payout_tx.txt ] ; then 
	export PAYOUT_TX=$(cat payout_tx.txt)
fi
