#!/bin/bash 
echo 
echo "--- `date "+%a %Hh%M"`: $0 ----------------------------------------------------------------------" 
. ./000_setenv.sh

# the tx-in's is the one with .FlagGreatestPureAda
cat <<EOTX | asnap - mediator.address > 105_execute.sh
. ./000_setenv.sh

marlowe-cli run execute \
«range .Alias2AddressMap.mediator.TxixList»«if .FlagGreatestPureAda»  --tx-in «.Txix» \
«end -»«end»  --change-address "$MEDIATOR_ADDRESS" \
  --required-signer mediator.skey     \
  --marlowe-out-file 103_marlowe.json \
  --out-file 105_out.json             \
  --print-stats                       \
  --submit=600
EOTX

bash 105_execute.sh > 105_stdout.txt 
echo 
echo "Sleeping ${SLEEPTIME}s, before querying"
sleep $SLEEPTIME

# save the tx
grep -i txid 105_stdout.txt | sed -e 's/" *$//' -e 's/^.*"//' > contract_tx.txt
echo "" > payout_tx.txt

asnap -t dev mediator.address buyer.address seller.address contract.address payout.address > 105_snap.txt
echo "Done"

