#!/bin/bash 
echo 
echo "--- `date "+%a %Hh%M"`: $0 ----------------------------------------------------------------------"
. ./000_setenv.sh

cat <<EOTX | asnap - buyer.address contract.address > 203_execute.sh
. ./000_setenv.sh

marlowe-cli run prepare \
  --marlowe-file 103_marlowe.json  \
  --deposit-account "Role=SEL"  \
  --deposit-party "Role=BUY"  \
  --deposit-amount "$PRICE"  \
  --invalid-before "«.TenMinutesAgoMilli»"  \
  --invalid-hereafter "«.TenMinutesFromNowMilli»" \
  --out-file 203_marlowe.json \
  --print-stats

marlowe-cli run execute  \
  --marlowe-in-file 103_marlowe.json  \
  --marlowe-out-file 203_marlowe.json  \
«range .Alias2AddressMap.contract.TxixList»«if eq .Tx "$CONTRACT_TX"»  --tx-in-marlowe "«.Txix»" \
«end»«end»«range .Alias2AddressMap.buyer.TxixList»«if .FlagGreatestPureAda»  --tx-in-collateral "«.Txix»" \
«end»«end»«range .Alias2AddressMap.buyer.TxixList»  --tx-in "«.Txix»" \
«end»  --required-signer buyer.skey  \
  --tx-out "$BUYER_ADDRESS+$MINIMUM_ADA+1 $BUYER_TOKEN" \
  --change-address "$BUYER_ADDRESS"  \
  --out-file 203_out.json  \
  --print-stats  \
  --submit=600

echo "RV: $?" 
EOTX

# execute
bash 203_execute.sh > 203_stdout.txt 
echo 
echo "Sleeping ${SLEEPTIME}s, before querying" 
sleep $SLEEPTIME
grep -i txid 203_stdout.txt | sed -e 's/" *$//' -e 's/^.*"//' > contract_tx.txt
echo "" > payout_tx.txt

asnap -t dev mediator.address buyer.address seller.address contract.address payout.address > 203_snap.txt
echo "Done"


