#!/bin/bash
echo 
echo "--- `date "+%a %Hh%M"`: $0 ----------------------------------------------------------------------" 
. ./000_setenv.sh

cat <<EOTX | asnap - mediator.address contract.address > 207_execute.sh
. ./000_setenv.sh

marlowe-cli run prepare  \
  --invalid-before «.TenMinutesAgoMilli» \
  --invalid-hereafter «.FiveYearsFromNowMilli» \
  --marlowe-file 103_marlowe.json  \
  --out-file 207_marlowe.json \
  --print-stats


marlowe-cli run execute --marlowe-in-file 203_marlowe.json  \
  --marlowe-out-file 207_marlowe.json  \
«range .Alias2AddressMap.contract.TxixList»«if eq .Tx "$CONTRACT_TX"»  --tx-in-marlowe "«.Txix»" \
«end»«end»«range  .Alias2AddressMap.mediator.TxixList»«if .FlagGreatestPureAda»  --tx-in-collateral "«.Txix»" \
«end»  --tx-in "«.Txix»"  \
«end»  --tx-out "$MEDIATOR_ADDRESS+$MINIMUM_ADA+1 $MEDIATOR_TOKEN" \
  --required-signer mediator.skey  \
  --change-address "$MEDIATOR_ADDRESS"  \
  --out-file 207_out.json  \
  --print-stats  \
  --submit=600
EOTX

# execute
bash 207_execute.sh > 207_stdout.txt

echo "Sleeping ${SLEEPTIME}s, before querying "
sleep $SLEEPTIME

#echo "" > contract_tx.txt
grep -i txid 207_stdout.txt | sed -e 's/" *$//' -e 's/^.*"//' > payout_tx.txt

