#!/bin/bash
echo 
echo "--- `date "+%a %Hh%M"`: $0 ----------------------------------------------------------------------" 
. ./000_setenv.sh

cat <<EOTX | asnap - buyer.address contract.address > 303_execute.sh
. ./000_setenv.sh

marlowe-cli run prepare  \
  --marlowe-file 203_marlowe.json  \
  --choice-name "Everything is alright"  \
  --choice-party "Role=$BUYER_ROLE"  \
  --choice-number 0 \
  --invalid-before «.TenMinutesAgoMilli» \
  --invalid-hereafter "«.TenMinutesFromNowMilli»" \
  --out-file 303_marlowe.json \
  --print-stats


marlowe-cli run execute --marlowe-in-file 203_marlowe.json  \
  --marlowe-out-file 303_marlowe.json  \
«range .Alias2AddressMap.contract.TxixList»«if eq .Tx "$CONTRACT_TX"»  --tx-in-marlowe "«.Txix»" \
«end»«end»«range  .Alias2AddressMap.buyer.TxixList»«if .FlagGreatestPureAda»  --tx-in-collateral "«.Txix»" \
«end»  --tx-in "«.Txix»"  \
«end»  --tx-out "$BUYER_ADDRESS+$MINIMUM_ADA+1 $BUYER_TOKEN" \
  --required-signer buyer.skey  \
  --change-address "$BUYER_ADDRESS"  \
  --out-file 303_out.json  \
  --print-stats  \
  --submit=600
EOTX

# execute
bash 303_execute.sh > 303_stdout.txt

echo "Sleeping ${SLEEPTIME}s, before querying "
sleep $SLEEPTIME

echo "" > contract_tx.txt
grep -i txid 303_stdout.txt | sed -e 's/" *$//' -e 's/^.*"//' > payout_tx.txt

asnap -t dev mediator.address buyer.address seller.address contract.address payout.address > 303_snap.txt
echo "Done"




