#!/bin/bash
echo 
echo "--- `date "+%a %Hh%M"`: $0 ----------------------------------------------------------------------" 
. ./000_setenv.sh

cat <<EOTX | asnap - seller.address contract.address > 307_execute.sh
. ./000_setenv.sh

marlowe-cli run prepare  \
  --invalid-before «.TenMinutesAgoMilli» \
  --invalid-hereafter "«.TenMinutesFromNowMilli»" \
  --marlowe-file 203_marlowe.json  \
  --out-file 307_marlowe.json \
  --print-stats


marlowe-cli run execute --marlowe-in-file 203_marlowe.json  \
  --marlowe-out-file 307_marlowe.json  \
«range .Alias2AddressMap.contract.TxixList»«if eq .Tx "$CONTRACT_TX"»  --tx-in-marlowe "«.Txix»" \
«end»«end»«range  .Alias2AddressMap.seller.TxixList»«if .FlagGreatestPureAda»  --tx-in-collateral "«.Txix»" \
«end»  --tx-in "«.Txix»"  \
«end»  --tx-out "$SELLER_ADDRESS+$MINIMUM_ADA+1 $SELLER_TOKEN" \
  --required-signer seller.skey  \
  --change-address "$SELLER_ADDRESS"  \
  --out-file 307_out.json  \
  --print-stats  \
  --submit=600
EOTX


# execute
bash 307_execute.sh > 307_stdout.txt

echo "Sleeping ${SLEEPTIME}s, before querying "
sleep $SLEEPTIME

#echo "" > contract_tx.txt
grep -i txid 307_stdout.txt | sed -e 's/" *$//' -e 's/^.*"//' > payout_tx.txt


