#!/bin/bash
echo 
echo "--- `date "+%a %Hh%M"`: $0 ----------------------------------------------------------------------"
. ./000_setenv.sh

cat <<EOTX | asnap - seller.address payout.address > 323_execute.sh
. ./000_setenv.sh

marlowe-cli run withdraw --submit=600 \
  --marlowe-file 303_marlowe.json \
  --role-name "$SELLER_ROLE"  \
  --required-signer seller.skey  \
«range .Alias2AddressMap.seller.TxixList»«if .FlagGreatestPureAda»  --tx-in-collateral "«.Txix»"  \
«end»«end»«range .Alias2AddressMap.seller.TxixList»  --tx-in "«.Txix»"  \
«end»«range .Alias2AddressMap.payout.TxixList»«if eq .Tx "$PAYOUT_TX"»«if .FlagGreatestTxWithDatum»  --tx-in "«.Txix»" \
«end»«end»«end» --tx-out "$SELLER_ADDRESS+$MINIMUM_ADA+1 $SELLER_TOKEN"  \
  --change-address "$SELLER_ADDRESS"  \
  --out-file 323_out.json  \
  --print-stats  
EOTX

# execute the script 
bash 323_execute.sh > 323_stdout.txt

echo "Sleeping ${SLEEPTIME}s, before querying "
sleep $SLEEPTIME

asnap -t dev mediator.address buyer.address seller.address contract.address payout.address > 323_snap.txt
echo "Done"
