#!/bin/bash
echo
echo "--- `date "+%a %Hh%M"`: $0 ----------------------------------------------------------------------"
. ./000_setenv.sh

cat <<EOTX | asnap - mediator.address payout.address > 325_execute.sh
. ./000_setenv.sh

marlowe-cli run withdraw --submit=600 \
  --marlowe-file 303_marlowe.json \
  --role-name "$MEDIATOR_ROLE"  \
  --required-signer mediator.skey  \
«range .Alias2AddressMap.mediator.TxixList»«if .FlagGreatestPureAda»  --tx-in-collateral «.Txix» \
«end»«end»«range .Alias2AddressMap.mediator.TxixList»  --tx-in "«.Txix»"  \
«end»  --tx-out "$MEDIATOR_ADDRESS+$MINIMUM_ADA+1 $MEDIATOR_TOKEN"  \
  --change-address "$MEDIATOR_ADDRESS"  \
  --out-file 325_out.json \
  --print-stats  
EOTX

# execute the script 
bash 325_execute.sh > 325_stdout.txt

echo "Sleeping ${SLEEPTIME}s, before querying "
sleep $SLEEPTIME

asnap -t dev mediator.address buyer.address seller.address contract.address payout.address > 325_snap.txt
echo "Done"



