#!/bin/bash
echo
echo "--- `date "+%a %Hh%M"`: $0 ----------------------------------------------------------------------"
. ./000_setenv.sh

cat <<EOTX | asnap - seller.address contract.address > 403_execute.sh
. ./000_setenv.sh

marlowe-cli run prepare  \
  --marlowe-file 305_marlowe.json  \
  --choice-name "Confirm problem"  \
  --choice-party "Role=$SELLER_ROLE"  \
  --choice-number 1 \
  --invalid-before «.TenMinutesAgoMilli» \
  --invalid-hereafter "«.TenMinutesFromNowMilli»" \
  --out-file 403_marlowe.json \
  --print-stats

marlowe-cli run execute --marlowe-in-file 305_marlowe.json  \
  --marlowe-out-file 403_marlowe.json  \
«range .Alias2AddressMap.contract.TxixList»«if eq .Tx "$CONTRACT_TX"»  --tx-in-marlowe "«.Txix»" \
«end»«end»«range  .Alias2AddressMap.seller.TxixList»«if .FlagGreatestPureAda»  --tx-in-collateral "«.Txix»" \
«end»  --tx-in «.Txix»  \
«end»  --required-signer seller.skey  \
  --tx-out "$SELLER_ADDRESS+$MINIMUM_ADA+1 $SELLER_TOKEN" \
  --change-address "$SELLER_ADDRESS"  \
  --out-file 403_out.json  \
  --print-stats  \
  --submit=600
EOTX

bash 403_execute.sh > 403_stdout.txt

echo "Sleeping ${SLEEPTIME}s, before querying " 
sleep $SLEEPTIME

echo "" > contract_tx.txt
grep -i txid 403_stdout.txt | sed -e 's/" *$//' -e 's/^.*"//' > payout_tx.txt

asnap -t dev mediator.address buyer.address seller.address contract.address payout.address > 403_snap.txt
echo "Done"

