#!/bin/bash
echo
echo "--- `date "+%a %Hh%M"`: $0 ----------------------------------------------------------------------"
. ./000_setenv.sh

cat <<EOTX | asnap - mediator.address contract.address > 505_execute.sh
. ./000_setenv.sh

marlowe-cli run prepare  \
  --marlowe-file 405_marlowe.json  \
  --choice-name "Dismiss claim"  \
  --choice-party "Role=$MEDIATOR_ROLE"  \
  --choice-number 0 \
  --invalid-before «.TenMinutesAgoMilli» \
  --invalid-hereafter «.TenMinutesFromNowMilli» \
  --out-file 505_marlowe.json \
  --print-stats

marlowe-cli run execute --marlowe-in-file 405_marlowe.json  \
  --marlowe-out-file 505_marlowe.json  \
«range .Alias2AddressMap.contract.TxixList»«if eq .Tx "$CONTRACT_TX"»  --tx-in-marlowe "«.Txix»" \
«end»«end»«range  .Alias2AddressMap.mediator.TxixList»«if .FlagGreatestPureAda»  --tx-in-collateral "«.Txix»" \
«end»  --tx-in "«.Txix»"  \
«end»  --required-signer mediator.skey  \
  --tx-out "$MEDIATOR_ADDRESS+$MINIMUM_ADA+1 $MEDIATOR_TOKEN" \
  --change-address "$MEDIATOR_ADDRESS"  \
  --out-file 505_out.json  \
  --print-stats  \
  --submit=600
EOTX

bash 505_execute.sh > 505_stdout.txt

echo "Sleeping ${SLEEPTIME}s, before querying " 
sleep $SLEEPTIME

echo "" > contract_tx.txt
grep -i txid 505_stdout.txt | sed -e 's/" *$//' -e 's/^.*"//' > payout_tx.txt

asnap -t dev mediator.address buyer.address seller.address contract.address payout.address > 505_snap.txt
echo "Done"

