#!/bin/bash
echo 
echo "--- `date "+%a %Hh%M"`: $0 ----------------------------------------------------------------------" 
. ./000_setenv.sh

cat <<EOTX | asnap - buyer.address contract.address > 507_execute.sh
. ./000_setenv.sh

marlowe-cli run prepare  \
  --invalid-before «.TenMinutesAgoMilli» \
  --invalid-hereafter «.TenMinutesFromNowMilli» \
  --marlowe-file 405_marlowe.json  \
  --out-file 507_marlowe.json \
  --print-stats


marlowe-cli run execute --marlowe-in-file 405_marlowe.json  \
  --marlowe-out-file 507_marlowe.json  \
«range .Alias2AddressMap.contract.TxixList»«if eq .Tx "$CONTRACT_TX"»  --tx-in-marlowe "«.Txix»" \
«end»«end»«range  .Alias2AddressMap.buyer.TxixList»«if .FlagGreatestPureAda»  --tx-in-collateral "«.Txix»" \
«end»  --tx-in "«.Txix»"  \
«end»  --tx-out "$BUYER_ADDRESS+$MINIMUM_ADA+1 $BUYER_TOKEN" \
  --required-signer buyer.skey  \
  --change-address "$BUYER_ADDRESS"  \
  --out-file 507_out.json  \
  --print-stats  \
  --submit=600
EOTX


# execute
bash 507_execute.sh > 507_stdout.txt

echo "Sleeping ${SLEEPTIME}s, before querying "
sleep $SLEEPTIME

#echo "" > contract_tx.txt
grep -i txid 507_stdout.txt | sed -e 's/" *$//' -e 's/^.*"//' > payout_tx.txt

asnap -t dev mediator.address buyer.address seller.address contract.address payout.address > 507_snap.txt
echo "Done"

