#!/bin/bash
. ./000_setenv.sh
echo 
echo "--- `date "+%a %Hh%M"`: $0 ----------------------------------------------------------------------"


cat <<EOTX | asnap - buyer.address payout.address > 563_execute.sh
. ./000_setenv.sh

marlowe-cli run withdraw --submit=600 \
  --marlowe-file 507_marlowe.json \
  --role-name "$BUYER_ROLE"  \
  --required-signer buyer.skey  \
«range .Alias2AddressMap.buyer.TxixList»«if .FlagGreatestPureAda»  --tx-in-collateral "«.Txix»"  \
«end»«end»«range .Alias2AddressMap.buyer.TxixList»  --tx-in "«.Txix»"  \
«end»«range .Alias2AddressMap.payout.TxixList»«if eq .Tx "$PAYOUT_TX"»«if .FlagGreatestTxWithDatum»  --tx-in "«.Txix»" \
«end»«end»«end» --tx-out "$BUYER_ADDRESS+$MINIMUM_ADA+1 $BUYER_TOKEN"  \
  --change-address "$BUYER_ADDRESS"  \
  --out-file 563_out.json  \
  --print-stats  
EOTX

# execute the script 
bash 563_execute.sh > 563_stdout.txt


echo "Sleeping ${SLEEPTIME}s, before querying "
sleep $SLEEPTIME

asnap -t dev mediator.address buyer.address seller.address contract.address payout.address > 563_snap.txt
echo "Done"
